Update an account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
entities
array of objects

Array of objects wherein each object represents an entity linked to the account. Each entity must already have been created. (For PATCH /accounts calls, if entities is passed in, the account's entities will be replaced with the newly passed in entities. If no entities field is passed in, the entities will not change. If entities is an empty array, all entities will be removed from the account.)

entities
string
length ≤ 60

Unique identifier associated with the account. At least one of external_account_id or account_number must be provided.

string

Bank account number. At least one of account_number or external_account_id must be provided.

string
enum

Allowed values are ("deposit", "credit", "brokerage").

Allowed:
string

Name of the account.

string

Routing number associated with the account.

string | null
enum

Allowed values are ("merchant account", "person", null).

Allowed:
boolean | null

Determines whether the account is a funding source or linked account.

date-time | null
date-time | null
date | null

UTC/ISO dates both accepted. Strings are converted to ISO timestamps. Date the account was opened.

string | null

2-character ISO Code (mainly used for merchant accounts).

account_snapshot
object

JSON object. Account snapshots are upserted according to their timestamp value. If a snapshot already exists for a given account and timestamp value, it will be updated; otherwise, a new account snapshot will be created.

string | null

Identifier of the product name.

string | null

Name of the product associated with the account.

string | null

Product number that corresponds to the product_name associated with the account.

date | null

UTC/ISO dates are both accepted. Strings are converted to ISO timestamps. Date on which the final payment is due on a loan or other financial instrument, such as a bond or term deposit, at which point the principal is due to be paid.

date | null

UTC/ISO dates both accepted. Strings are converted to ISO timestamps. Date the account was closed.

string | null

Unique identifier used by bank cores to refer to a customer.

string | null

Card network of the card that was used in this transaction.

string | null
string | null

method of tokenization used to anonymize account information.

string | null

The merchant category code (MCC) is used to classify a business by the purposes it serves or the products it sells.

string | null

ame on the card used in this transaction.

string | null

Last four digits of account number

string | null

Verifies the numeric portions of the address against the billing address.

string | null

ISO-4217 currency code.

meta
object | null

JSON object with any meta information related to the account

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json